FileExtensionFileChangeListener (Grails 3.3.2)
Date: 2017-11-24

Package: org.grails.io.watch

## [Groovy] Class FileExtensionFileChangeListener

- org.grails.io.watch.FileExtensionFileChangeListener

- All Implemented Interfaces and Traits:
    FileChangeListener

      @groovy.transform.CompileStatic
      abstract class FileExtensionFileChangeListener
      extends java.lang.Object

  A org.grails.io.watch.DirectoryWatcher.FileChangeListener that only fires for specific extension or list of extensions

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.String>` | `extensions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FileExtensionFileChangeListener (java.util.List<java.lang.String> extensions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `onChange(java.io.File file)`
    `` | `void` | `onChange(java.io.File file, java.util.List<java.lang.String> extensions)`
    `` | `void` | `onNew(java.io.File file)`
    `` | `void` | `onNew(java.io.File file, java.util.List<java.lang.String> extensions)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final java.util.List<java.lang.String> extensions

  - ### Constructor Detail

    - #### FileExtensionFileChangeListener(java.util.List<java.lang.String> extensions)

  - ### Method Detail

    - #### @java.lang.Override final void onChange(java.io.File file)

    - #### void onChange(java.io.File file, java.util.List<java.lang.String> extensions)

    - #### @java.lang.Override final void onNew(java.io.File file)

    - #### void onNew(java.io.File file, java.util.List<java.lang.String> extensions)